<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateShopsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop', function (Blueprint $table) {
            $table->bigIncrements('shop_id');
            $table->string('shop_name')->comment('商家名称');
            $table->string('shop_short_name')->nullable()->comment('商家简称');
            $table->string('mobile',16)->nullable()->comment('商家电话');
            $table->string('address')->nullable()->comment('商家地址');
            $table->integer('province_id')->comment('省份id');
            $table->string('province_name')->nullable()->comment('省份名称');
            $table->integer('city_id')->comment('城市id');
            $table->string('city_name')->nullable()->comment('城市名称');
            $table->string('contact_mobile',16)->nullable()->default('')->comment('联系人电话');
            $table->string('contact_name')->nullable()->default('')->comment('联系人名称');
            $table->string('shop_desc')->nullable()->default('')->comment('商家介绍');
            $table->tinyInteger('status')->default(1)->comment('状态 1启用 0禁用');
            $table->string('logo_img')->nullable()->default('')->comment('商家logo');
            $table->string('license_img')->comment('营业执照');
            $table->string('food_trans_license')->comment('食品流通许可证');
            $table->string('other_license')->nullable()->default('')->comment('其他证书');
            $table->tinyInteger('proportion')->comment('利润分成');
            $table->tinyInteger('verify_type')->default(0)->comment('商品审核方式');
            $table->integer('star')->nullable()->default(0)->comment('商家评分');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shops');
    }
}
